# Ordres de la línia de comandaments

Cartes del Cel accepta les opcions següents en la línia de comandaments:

opció | Paràmetres | funció
--- | --- | ---
--config | camí del fitxer de configuració file path | Permet especificar el fitxer de configuració a utilitzar en lloc del per defecte ”%LOCALAPPDATA%\skychart\skychart.ini” o bé ”~/.skychart/skychart.ini”
--loaddef | option_file_name | Igual que LOADDEFAULT comandaments del servidor \ Useu aquesta opció per carregar un extracte del fitxer de configuració que temporalment reemplaça alguna opció de skychart.ini.
--unique |  | No torna a engegar el programa si ja estava engegat,però en canvi, envia les altres opcions a la instància actual.
--quit |  | Useu aquesta opció junt amb --unique per tancar el programa en curs, o per sortir immediatament.
--nosplash |  | No mostra la pantalla informativa a l'engegar el programa
--daemon |  | Arrenca el programa en segon pla sense mostrar la finestra principal
--nosave |  | No desis les opcions en sortir. Útil amb l'opció --loaddef
Opcions que afecten la primera carta activa
--load | nom_fitxer_desat | Fa igual que LOAD comandaments del servidor \ Useu aquesta opció per carregar una plantilla amb tota la configuració del mapa que no podeu establir aquí.
--search | nom_objecte | Igual que SEARCH comandaments del servidor
--setproj | ALTAZ/EQUAT/GALACTIC/ECLIPTIC | Igual que SETPROJ comandaments del servidor
--setfov | 00d00m00s o bé 00.00 | Igual que SETFOV comandaments del servidor
--setra | RA:00h00m00s o bé RA:00.00 | Igual que SETRA comandaments del servidor
--setdec | DEC:+00d00m00s o bé DEC:00.00 | Igual que SETDEC comandaments del servidor
--setobs | LAT:+00d00m00sLON:+000d00m00sALT:000mOBS:nom | Igual que SETOBS comandaments del servidor
--settz | Etc/GMT | Igual que SETTZ comandaments del servidor
--setdate | yyyy-mm-ddThh:mm:ss o bé “yyyy-mm-dd hh:mm:ss” | Igual que SETDATE comandaments del servidor
--setcat | "path shortname active min max " | Igual que SETCAT comandaments del servidor
--resize | "width height " | Igual que RESIZE comandaments del servidor
--dss |  | Igual que PDSS comandaments del servidor
--saveimg | "PNG/JPEG/BMP filename quality" | Igual que SAVEIMG comandaments del servidor
--print | "PRT/PS/BMP PORTRAIT/LANDSCAPE COLOR/BW filepath" | Igual que PRINT comandaments del servidor

Atenció, contràriament a les ordres enviades per TCP/IP, les opcions i els paràmetres van separats amb els signes "=" sense espais en blanc. Si el paràmetre conté espais cal incloure'l dins de dobles cometes "".

En Unix podeu enviar un senyal al programa en curs amb el comandament 'kill':

Signal | Action
--- | ---
1, HUP | Carrega el mapa i opcions per defecte
15, TERM | Tanca el programa

### Exemple d'automatització usant la línia de comandaments

L'automatització es fa normalment enviant comandaments del servidor a la connexió TCP/IP però en algun cas pot ser més senzill usar la línia de comandaments.

Primer entreu l'ordre principal :
# skychart --unique

Indiqueu la mesura de la imatge que voleu:
# skychart --unique --resize="1024 768"

Llavors el següent comandament mostrarà un mapa del Messier 1 sense obrir una finestra nova:
# skychart --unique --setfov=3 --setproj=EQUAT --search=M1

Desa una imatge amb el mapa actual:
#skychart --unique --saveimg="PNG /tmp/m1.png"

Ara podeu repetir-ho amb altres objectes o camps de visió. Quan hagueu acabat podeu tancar la finestra principal:
# skychart --unique --quit

També es possible fer-ho tot a la vegada i sortir, sense mostrar res en la pantalla, cosa útil si sols voleu una imatge:
#skychart --nosplash --daemon --resize="1024 768" --setfov=3 --setproj=EQUAT --search=M1 --saveimg="PNG /tmp/m1.png" --quit